Index: uspace/lib/c/generic/mem.c
===================================================================
--- uspace/lib/c/generic/mem.c	(revision b4f117122b26d549e7cdbd586de66b7c21511361)
+++ uspace/lib/c/generic/mem.c	(revision 8f99dbf0315753503b384532cd4b8a0b9d92795b)
@@ -38,6 +38,8 @@
 #include <stddef.h>
 #include <stdint.h>
+#include "private/cc.h"
 
 /** Fill memory block with a constant value. */
+ATTRIBUTE_OPTIMIZE("-fno-tree-loop-distribute-patterns")
 void *memset(void *dest, int b, size_t n)
 {
@@ -114,4 +116,5 @@
 
 /** Copy memory block. */
+ATTRIBUTE_OPTIMIZE("-fno-tree-loop-distribute-patterns")
 void *memcpy(void *dst, const void *src, size_t n)
 {
Index: uspace/lib/c/generic/private/cc.h
===================================================================
--- uspace/lib/c/generic/private/cc.h	(revision 8f99dbf0315753503b384532cd4b8a0b9d92795b)
+++ uspace/lib/c/generic/private/cc.h	(revision 8f99dbf0315753503b384532cd4b8a0b9d92795b)
@@ -0,0 +1,49 @@
+/*
+ * Copyright (c) 2013 Vojtech Horky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libc
+ * @{
+ */
+/** @file
+ * Macros related to used compiler (such as GCC-specific attributes).
+ */
+
+#ifndef LIBC_CC_H_
+#define LIBC_CC_H_
+
+#ifndef __clang__
+#define ATTRIBUTE_OPTIMIZE(opt) \
+	__attribute__ ((optimize(opt)))
+#else
+#define ATTRIBUTE_OPTIMIZE(opt)
+#endif
+
+#endif
+
+/** @}
+ */
Index: pace/lib/c/include/cc.h
===================================================================
--- uspace/lib/c/include/cc.h	(revision b4f117122b26d549e7cdbd586de66b7c21511361)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- * Copyright (c) 2013 Vojtech Horky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup libc
- * @{
- */
-/** @file
- * Macros related to used compiler (such as GCC-specific attributes).
- */
-
-#ifndef LIBC_CC_H_
-#define LIBC_CC_H_
-
-#ifndef __clang__
-#define ATTRIBUTE_OPTIMIZE(opt) \
-	__attribute__ ((optimize(opt)))
-#else
-#define ATTRIBUTE_OPTIMIZE(opt)
-#endif
-
-#endif
-
-/** @}
- */
Index: uspace/lib/c/include/mem.h
===================================================================
--- uspace/lib/c/include/mem.h	(revision b4f117122b26d549e7cdbd586de66b7c21511361)
+++ uspace/lib/c/include/mem.h	(revision 8f99dbf0315753503b384532cd4b8a0b9d92795b)
@@ -38,12 +38,9 @@
 
 #include <stddef.h>
-#include <cc.h>
 
 extern void *memset(void *, int, size_t)
-    __attribute__((nonnull(1)))
-    ATTRIBUTE_OPTIMIZE("-fno-tree-loop-distribute-patterns");
+    __attribute__((nonnull(1)));
 extern void *memcpy(void *, const void *, size_t)
-    __attribute__((nonnull(1, 2)))
-    ATTRIBUTE_OPTIMIZE("-fno-tree-loop-distribute-patterns");
+    __attribute__((nonnull(1, 2)));
 extern void *memmove(void *, const void *, size_t)
     __attribute__((nonnull(1, 2)));
